aboutsummaryrefslogtreecommitdiff
path: root/internal
diff options
context:
space:
mode:
Diffstat (limited to 'internal')
-rw-r--r--internal/p10k.zsh4
1 files changed, 2 insertions, 2 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index cf0c7f21..17e9bc89 100644
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -4647,9 +4647,9 @@ _p9k_gcloud_prefetch() {
# P9K_GCLOUD_PROJECT is deprecated; it's always equal to P9K_GCLOUD_PROJECT_ID
unset P9K_GCLOUD_CONFIGURATION P9K_GCLOUD_ACCOUNT P9K_GCLOUD_PROJECT P9K_GCLOUD_PROJECT_ID P9K_GCLOUD_PROJECT_NAME
(( $+commands[gcloud] )) || return
- _p9k_read_word ~/.config/gcloud/active_config || return
+ _p9k_read_word ${CLOUDSDK_CONFIG:-~/.config/gcloud}/active_config || return
P9K_GCLOUD_CONFIGURATION=$_p9k__ret
- if ! _p9k_cache_stat_get $0 ~/.config/gcloud/configurations/config_$P9K_GCLOUD_CONFIGURATION; then
+ if ! _p9k_cache_stat_get $0 ${CLOUDSDK_CONFIG:-~/.config/gcloud}/configurations/config_$P9K_GCLOUD_CONFIGURATION; then
local pair account project_id
pair="$(gcloud config configurations describe $P9K_GCLOUD_CONFIGURATION \
--format=$'value[separator="\1"](properties.core.account,properties.core.project)')"